Package com.arms.api.product_service.pdserviceversion.controller

## Class PdServiceVersionController

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController<PdServiceVersion,​PdServiceVersionDTO,​PdServiceVersionEntity>
  - - com.arms.api.product_service.pdserviceversion.controller.PdServiceVersionController

-     @RestController
      @RequestMapping("/arms/pdServiceVersion")
      public class PdServiceVersionController
      extends TreeAbstractController<PdServiceVersion,​PdServiceVersionDTO,​PdServiceVersionEntity>

- - ### Field Summary

    - ### Fields inherited from class com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController

      `chat, modelMapper`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PdServiceVersionController()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.springframework.http.ResponseEntity<?>` | `findAll​(java.lang.Long c_id)` |
    `org.springframework.http.ResponseEntity<?>` | `getVersion​(java.util.List<java.lang.Long> c_ids)` | Dashboard, TopMenu
    `void` | `initialize()` |

    - ### Methods inherited from class com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController

      `addNode, alterNode, alterNodeType, analyzeNode, getChildNode, getMonitor, getNode, getNodesWithoutRoot, getPaginatedChildNode, moveNode, removeNode, searchNode, sendMessage, setJsonDefaultSetting, setTreeEntity, setTreeService, updateNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PdServiceVersionController

          public PdServiceVersionController()

  - ### Method Detail

    - #### initialize

          @PostConstruct
          public void initialize()

    - #### getVersion

          @GetMapping
          public org.springframework.http.ResponseEntity<?> getVersion​(@RequestParam("c_ids")
                                                                       java.util.List<java.lang.Long> c_ids)
                                                                throws java.lang.Exception

      Dashboard, TopMenu
      Throws:
        `java.lang.Exception`

    - #### findAll

          @GetMapping("/pure")
          public org.springframework.http.ResponseEntity<?> findAll​(@RequestParam("c_id")
                                                                    java.lang.Long c_id)
                                                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`